#!/usr/bin/env bash 

LOG="logger -i -t CGA-UPDATE-MANAGER --"


# Si se le pasan dos argumentos:
if [ $# == 2 ];then

    SCRIPTURL="$1"
    SCRIPTPATH="$2"

    TMPFILE=$(mktemp /tmp/cga-apt.XXXXX)
    MD5ORIG=$(md5sum $SCRIPTPATH | cut -f1 -d' ')

    wget $SCRIPTURL -o /dev/null -O $TMPFILE || exit 0
    TMPMD5=$(md5sum $TMPFILE | cut -f1 -d' ')

    if [ "$MD5ORIG" != "$TMPMD5" ]
    then
        # No son el mismo archivo, se copia a su sitio y se ejecuta.
        cp -f $TMPFILE $SCRIPTPATH
        chmod +x $SCRIPTPATH
    fi

    rm -f $TMPFILE

    bash $SCRIPTPATH

    exit 0
else
    echo "Es necesario pasar dos argumentos al script: url y path del script"
    exit 2
fi



